#pragma once

const TCHAR* const kTitleControlName = _T("apptitle");
const TCHAR* const kCloseButtonControlName = _T("closebtn");
const TCHAR* const kMinButtonControlName = _T("minbtn");
const TCHAR* const kMaxButtonControlName = _T("maxbtn");
const TCHAR* const kRestoreButtonControlName = _T("restorebtn");
const TCHAR* const kAddGroupUserButtonControlName = _T("btn_add");
const TCHAR* const kMenuButtonControlName = _T("menubtn");
const TCHAR* const kMainFrameSignture = _T("signature");

const TCHAR* const kTabControlName = _T("tabs");

const TCHAR* const kFriendButtonControlName = _T("friendbtn");
const TCHAR* const kGroupButtonControlName = _T("groupbtn");
const TCHAR* const kMicroBlogButtonControlName = _T("microblogbtn");

const TCHAR* const kFriendsListControlName = _T("friends");
const TCHAR* const kGroupsListControlName = _T("groups");
const TCHAR* const kChattingListControlName = _T("chattinglist");
const TCHAR* const kMicroBlogListControlName = _T("microblog");

const TCHAR* const kHideLeftMainPannelControlName = _T("btnleft");
const TCHAR* const kShowLeftMainPannelControlName = _T("btnright");
const TCHAR* const kLeftMainPannelControlName = _T("LeftMainPanel");

const TCHAR* const kChangeBkSkinControlName = _T("bkskinbtn");
const TCHAR* const kChangeColorSkinControlName = _T("colorskinbtn");
const TCHAR* const kCloseBanner             = _T("closeBanner");
const TCHAR* const kBtnStatus               = _T("btnStatus");

const TCHAR* const kBtnNoteControlName = _T("btn_note");
const TCHAR* const kBtnSignControlName = _T("btn_sign");
const TCHAR* const kBtnMailControlName             = _T("btn_mail");
const TCHAR* const kBtnVocControlName               = _T("btn_voc");
const TCHAR* const kBtnSurveyControlName = _T("btn_survey");
const TCHAR* const kBtnInControlName             = _T("btn_in");
const TCHAR* const kBtnSamControlName               = _T("btn_sam");


const TCHAR* const kBackgroundControlName = _T("bg");

const TCHAR* const kAdjustColorControlName = _T("adjcolor");
const TCHAR* const kAdjustBkControlName = _T("adjbk");

const TCHAR* const kAdjustColorSliderRControlName = _T("AdjustColorSliderR");
const TCHAR* const kAdjustColorSliderGControlName = _T("AdjustColorSliderG");
const TCHAR* const kAdjustColorSliderBControlName = _T("AdjustColorSliderB");

const TCHAR* const kHColorLayoutControlName = _T("HColorLayout");
const TCHAR* const kHBkLayoutControlName = _T("HBkLayout");


const TCHAR* const kOrgBtnPopup = _T("btn_popup");
const TCHAR* const kTabOrganization = _T("tab_organization");
const TCHAR* const kTabBookmark = _T("tab_bookmark");
const TCHAR* const kTabChatlist = _T("tab_chatlist");

const TCHAR* const kOrganization = _T("organization");

const TCHAR* const kSearchBtn = _T("search_btn");
const TCHAR* const kSearchEdit = _T("search_edit");
const TCHAR* const kChatSearchEdit = _T("chat_search_edit");
const TCHAR* const kSearchLabel = _T("search_label");
const TCHAR* const kSearchCancel = _T("search_cancel");
const TCHAR* const kSearchList = _T("search_list");
const TCHAR* const kChatList = _T("chat_list");
const TCHAR* const kChatAddBtn = _T("chat_Add_btn");
const TCHAR* const kChatSearchCancel = _T("layout_search_cancel");

const TCHAR* const kInfoMe = _T("btnInfoMe");
const TCHAR* const kIptStatusBtn = _T("iptStatusBtn");

const TCHAR* const kLogoButtonControlName = _T("logo");
const TCHAR* const kOrgMobileOnline = _T("mobile_online");
const TCHAR* const kOrgBtnIPT = _T("btn_org_ipt");
const TCHAR* const kFavorite = _T("btn_favorite");
const TCHAR* const kProfileFavorite = _T("profile_favorite");
const TCHAR* const kNickNameControlName = _T("nickname");

const TCHAR* const kBtnChat = _T("btn_chat");
const TCHAR* const kBtnMail = _T("btn_mail");
const TCHAR* const kBtnSMS = _T("btn_sms");
const TCHAR* const kBtnPhone = _T("btn_phone");

const TCHAR* const kAddChatList = _T("add_chat_list");
const TCHAR* const kAddChatCheck = _T("list_check");
const TCHAR* const kAddChatName = _T("list_name");
const TCHAR* const kAddChatOrganization = _T("list_organization");
const TCHAR* const kAddChatPosition = _T("list_position");
const TCHAR* const kAddChatTitleName = _T("title_name");

const TCHAR* const kAddChatItemCheck = _T("item_check");
const TCHAR* const kAddChatItemPosition = _T("item_position");
const TCHAR* const kAddChatItemOrganization = _T("item_organization");
const TCHAR* const kInviteOK = _T("invite_ok");
const TCHAR* const kInviteCancel = _T("invite_cancel");

const TCHAR* const kNosearchResult = _T("nosearch_result");

const TCHAR* const kSettingOK = _T("setting_ok");
const TCHAR* const kSettingCancel = _T("setting_cancel");
const TCHAR* const kSettingAdd = _T("setting_add");
const TCHAR* const kSettingSave = _T("setting_save");
const TCHAR* const kSettingDelete = _T("setting_delete");
const TCHAR* const kSettingOptGeneral = _T("opt_general");
const TCHAR* const kSettingOptPersonal = _T("opt_personal");
const TCHAR* const kSettingOptMessage = _T("opt_message");
const TCHAR* const kSettingOptAutoText = _T("opt_autoText");
const TCHAR* const kSettingTabs = _T("setting_tabs");
const TCHAR* const kSettingTabGeneral = _T("tab_general");
const TCHAR* const kSettingTabPersonal = _T("tab_personal");
const TCHAR* const kSettingTabMessage = _T("tab_message");
const TCHAR* const kSettingTabAutoText = _T("tab_autoText");


const TCHAR* const kSettingPersonalTimeCheck = _T("personal_time_check");
const TCHAR* const kSettingPersonalTimeButton = _T("personal_time_button");
const TCHAR* const kSettingPersonalTimeCombo = _T("personal_time_combo");
const TCHAR* const kSettingPersonalExportGroup = _T("personal_export_group");
const TCHAR* const kSettingPersonalImportGroup = _T("personal_import_group");
const TCHAR* const kSettingPersonalLabFavorite = _T("personal_label_favorite");
const TCHAR* const kSettingPersonalLabExport = _T("personal_label_export");
const TCHAR* const kSettingPersonalListFavorite = _T("personal_list_favorite");
const TCHAR* const kSettingPersonalListExport = _T("personal_list_export");
const TCHAR* const kSettingPersonalListImport = _T("personal_list_import");
const TCHAR* const kSettingPersonalFile = _T("personal_btn_file");
const TCHAR* const kSettingPersonalGroupName = _T("group_name");
const TCHAR* const kSettingGeneralLanCombo = _T("combo_language");
const TCHAR* const kSettingGeneralTimeZoneCombo = _T("combo_time_zone");
const TCHAR* const kSettingPCOfflineTimeCheck = _T("PCOffline_time");

const TCHAR* const kPopupTitle = _T("popup_title");
const TCHAR* const kMessageBoxYes = _T("message_yes");
const TCHAR* const kMessageBoxNo = _T("message_no");
const TCHAR* const kMessageBoxText = _T("message_text");

const UINT WM_USERIMAGE_UPDATED  = WM_APP + 930;
const UINT WM_ADD_USER_CHAT		 = WM_APP + 931;
const UINT WM_REMOVE_USER_SMS		 = WM_APP + 933;



const TCHAR* const kSmsPopupTitle = _T("sms_pop_title");
const TCHAR* const kSmsPopupTelNumberTip = _T("sms_telnumber_tip");
const TCHAR* const kSmsPopupTelNumberEdit = _T("sms_telnumber_edit");


//const TCHAR* const kSmsPopupMsgBoard = _T("sms_msg_board");
//const TCHAR* const kSmsPopupMsgEditBoard = _T("sms_edit_msg_boad");

const TCHAR* const kSmsPopupMsgTip = _T("sms_msg_tip");
const TCHAR* const kSmsPopupMsgRichEdit = _T("sms_msg_edit");

const TCHAR* const kSmsPopupMsgBytesTipText = _T("sms_bytes_tip");

const TCHAR* const kSmsPopupAddBtn = _T("sms_add_btn");
const TCHAR* const kSmsPopupDelAllBtn = _T("sms_delAll_btn");
const TCHAR* const kSmsPopupRecentBtn = _T("sms_recent_btn");

const TCHAR* const kSmsPopupAddList = _T("add_sms_list");
const TCHAR* const kSmsPopupSearchBtn = _T("sms_search_btn");
const TCHAR* const kSmsPopupSearchEdit = _T("sms_search_edit");
const TCHAR* const kSmsPopupSearchLable = _T("sms_search_label");
const TCHAR* const kSmsPopupSearchCancel = _T("sms_search_cancel");

const TCHAR* const kSmsPopupSendBtn = _T("sms_send_btn");

const TCHAR* const kSmsPopupListItemName = _T("sms_item_name");
const TCHAR* const kSmsPopupListItemTel = _T("sms_item_tel");
const TCHAR* const kSmsPopupListItemDel = _T("sms_item_del");
const TCHAR* const kSmsPopupListItemEditBoard = _T("smsEditBoard");
const TCHAR* const kSmsPopupListItemBoard = _T("smsItemBoard");
const TCHAR* const kSmsPopupListItemEdit = _T("sms_tel_edit");


const TCHAR* const kSmsPopupSearchItemName = _T("sms_search_item_name");
const TCHAR* const kSmsPopupSearchItemLogo = _T("sms_search_item_logo");
const TCHAR* const kSmsPopupSearchItemTel = _T("sms_search_item_tel");
const TCHAR* const kSmsPopupSearchItemAdd = _T("sms_search_item_addbtn");
const TCHAR* const kSmsPopupSearchList   = _T("sms_search_list");


const TCHAR* const kSmsPopupRecentItemName = _T("sms_menu_item_name");
const TCHAR* const kSmsPopupRecentItemTel = _T("sms_menu_item_tel");

#define  SMS_SEARCH_WINDOW_TOP_PADDING  (10)
